aboutsummaryrefslogtreecommitdiffstats
path: root/testing/lua-microlight/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-02-17 08:15:59 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-02-17 08:15:59 +0000
commit50f896f59089364269b694a0210fb7e045dbc9e2 (patch)
treedf46393e2fb7b5df01fecc1d9e694301fe6d3f77 /testing/lua-microlight/APKBUILD
parenta50741c2139274ec94034a18da6d4d0b051c6ff8 (diff)
downloadaports-50f896f59089364269b694a0210fb7e045dbc9e2.tar.bz2
aports-50f896f59089364269b694a0210fb7e045dbc9e2.tar.xz
testing/lua-microlight: new aport
a really compact set of general Lua functions http://stevedonovan.github.com/microlight/
Diffstat (limited to 'testing/lua-microlight/APKBUILD')
-rw-r--r--testing/lua-microlight/APKBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/testing/lua-microlight/APKBUILD b/testing/lua-microlight/APKBUILD
new file mode 100644
index 0000000000..632a653339
--- /dev/null
+++ b/testing/lua-microlight/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=lua-microlight
+pkgver=0_git20120215
+pkgrel=0
+pkgdesc="a really compact set of general Lua functions"
+url="http://stevedonovan.github.com/microlight/"
+arch="noarch"
+license="MIT"
+depends="lua"
+makedepends="wget"
+install=""
+subpackages=""
+source="https://raw.github.com/gist/1834789/2bbb01662de1d83af93d2bd2990fee229b473d54/ml.lua"
+
+_builddir=
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+}
+
+package() {
+ cd "$_builddir"
+ install -Dm644 "$srcdir"/ml.lua "$pkgdir"/usr/share/lua/5.1/ml.lua
+}
+
+md5sums="0a1e55c9babf6c093aa24f391c07cfd7 ml.lua"